# PHTML::Option Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Option:

List of all members.

## Public Member Functions

| Option (const char *attr=NULL)
| Option (SelectionCodes select, const char *attr=NULL)
| Option (DisableCodes disabled, const char *attr=NULL)
| Option (SelectionCodes select, DisableCodes disabled, const char *attr=NULL)
virtual | ~Option ()

## Protected Member Functions

virtual void | AddAttr (PHTML &html) const

## Constructor & Destructor Documentation

PHTML::Option::Option | ( | const char * | attr = `NULL` | ) |

PHTML::Option::Option | ( | SelectionCodes | select,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Option::Option | ( | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

PHTML::Option::Option | ( | SelectionCodes | select,
|  | DisableCodes | disabled,
|  | const char * | attr = `NULL` |
| ) |  |  |

virtual PHTML::Option::~Option | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void PHTML::Option::AddAttr | ( | PHTML & | html | ) | const`[protected, virtual]`

Reimplemented from PHTML::FieldElement.

The documentation for this class was generated from the following file:

- html.h